> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Calculations By Grant ID

> Computes vesting dates, vested/withheld/settled units and current token price for one grant.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-calculations-by-grant-id
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-calculations-by-grant-id:
    get:
      operationId: getCalculationsByGrantID
      summary: Get Calculations By Grant ID
      description: >-
        Computes vesting dates, vested/withheld/settled units and current token
        price for one grant.


        Not available to API keys.
      parameters:
        - name: grantID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCalculationsByGrantIDResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetCalculationsByGrantIDResponse:
      type: object
      properties:
        grantID:
          type: string
        previousVestingDate:
          type:
            - string
            - 'null'
        nextVestingDate:
          type:
            - string
            - 'null'
        finalVestingDate:
          type: string
        currentTokenPrice:
          type: number
        numWithheldTokens:
          type: number
        numVestedTokens:
          type: number
        percentageVestedTokens:
          type:
            - number
            - 'null'
        settledUnits:
          type: number
        upcomingVestedUnits12Months:
          type: number
        upcomingVestedUnitsNext12Months:
          type: number
      required:
        - grantID
        - previousVestingDate
        - nextVestingDate
        - finalVestingDate
        - currentTokenPrice
        - numWithheldTokens
        - numVestedTokens
        - percentageVestedTokens
        - settledUnits
        - upcomingVestedUnits12Months
        - upcomingVestedUnitsNext12Months
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
